#!/usr/bin/env python
from flask import Flask, render_template
from lorem import sentence
from faker import Faker
from uuid import uuid4
from datetime import datetime as dt

app = Flask(__name__)


def get_sentences(num, dummy=False):
    return [sentence() for i in range(num)]
    

class Doc(object):
    name = None
    address = None
    text1 = None
    text2 = None
    text3 = None


@app.route('/')
def index():
    return render_template('index.html')


@app.route('/print')
def printit():
    fake = Faker()
    docs = []
    for i in range(3):
        d = Doc()
        d.name = fake.name()
        d.address = fake.address().replace('\n', '<br />')
        d.text1 = ' '.join(get_sentences(2, True))
        d.text2 = ' '.join(get_sentences(8, True))
        d.text3 = ' '.join(get_sentences(1, True))
        docs.append(d)
    return render_template('print.html', letters=docs,
                           schreiben=uuid4(),
                           datum=dt.now().date().strftime('%d.%m.%Y'))


if __name__ == '__main__':
    app.run(debug=True)
